<!-- A declaration that tells the browser that the document is HTML5. -->
<!DOCTYPE HTML>
<!-- Telling the browser that the document is in English. -->
<html lang='en'>
<!-- The code for the header of the page. -->

<head>
  <title>Profile Home</title>
  <link rel='stylesheet' href={{ url_for('static', filename='css/topStyle.css' ) }} />
</head>

<body>
  <div id='title'>
    <!-- This is the code for the logo of the website. -->
    <div id='homeicon'>
      <a href='/' aria-label='webattack app logo'>
        <img src={{ url_for( 'static' , filename='uploads/webattack_home.png' ) }} id='logo' alt='WEBATTACK HOME' />
      </a>
    </div>
    <!-- This is the code for the search bar. -->
    <form role='searchbox' action="{{ url_for('search_results') }}" method='post'>
      <input id='searchBox' type='text' name='searchQuery' aria-label='Enter search term' />
      <input id='searchButton' type='submit' value='Search' />
    </form>

    <!-- This is a conditional statement that checks if the user is logged in or not. If the user is not
logged in, then the user is shown a sign in button. If the user is logged in, then the user is shown
a dropdown menu with options to view their orders, view their profile, and sign out. -->
    {% if not loggedIn %}
    <a class='signInButton' href='/loginForm' aria-label='Sign In Here'>Sign In</a>
    {% else %}
    <div class='dropdown'>
      <button class='dropbtn'>Hello, <br />{{firstName}}</button>
      <div class='dropdown-content'>
        <a href='/account/orders'>Your orders</a>
        <a href='/account/profile'>Your profile</a>
        <hr />
        <a href='/logout' aria-label='Sign Out Here'>Sign Out</a>
      </div>
    </div>
    {% endif %}
    <a class='kart' href='/cart'>
      <img src={{url_for('static', filename='images/shoppingCart.png' )}} id='cartIcon' alt='Shopping Cart' /> CART
      {{noOfItems}}
    </a>
  </div>

  <!-- This is the code for the profile settings page. -->
  <div class='display'>
    <h1>PROFILE SETTINGS</h1>
    <a href='/account/profile'>View Profile</a><br />
    <a href='/account/profile/edit'>Edit Profile</a><br />
    <a href='/account/profile/change_password'>Change password</a>
  </div>
  <!-- This is the code for the chatbot. -->
  <!-- This is a script that is used to display the chat box on the website. -->
  <script src={{ url_for('static', filename='js/utility.js' ) }}></script>
</body>

</html>